cURL
curl --request POST \
--url https://platform.thena.ai/v1/reactions/{commentId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "heart",
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"metadata": {}
}
'import requests
url = "https://platform.thena.ai/v1/reactions/{commentId}"
payload = {
"name": "heart",
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"metadata": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'heart',
impersonatedUserEmail: '<string>',
impersonatedUserName: '<string>',
impersonatedUserAvatar: '<string>',
metadata: {}
})
};
fetch('https://platform.thena.ai/v1/reactions/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": true
}{
"statusCode": 400,
"message": "Comment ID is required!",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "This feature is only available for standard and enterprise tier organizations",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Emoji not found!",
"error": "Not Found"
}{
"statusCode": 409,
"message": "You have already reacted to this comment!",
"error": "Conflict"
}{
"statusCode": 422,
"message": "Validation failed",
"error": "Validation Error",
"details": [
{
"field": "name",
"errors": [
"name should not be empty"
]
}
]
}{
"statusCode": 429,
"message": "Too Many Requests",
"error": "Too Many Requests"
}{
"statusCode": 500,
"message": "Something went wrong!",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "Service Unavailable",
"error": "Service Unavailable"
}Reactions
Add a reaction to a comment
POST
/
v1
/
reactions
/
{commentId}
cURL
Authorizations
Enter your API key
Path Parameters
Body
application/json
Response
Operation successful
⌘I